import { trigger, transition, stagger, animate, style, query } from '@angular/animations';

export const staggerAnimation = trigger('stagger', [
  transition('* => *', [query(':enter', [style({ opacity: 0 }), stagger(50, [animate(300, style({ opacity: 1 }))])], { optional: true })]),
]);
